import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router'
import Login from '@/views/login/index.vue'
import Home from '@/views/home/index.vue'
import Error from '@/views/404/index.vue'
const routes: Array<RouteRecordRaw> = [
  {
    path:'/',
    redirect:'/404'
  },  
  {
    path: '/login',
    name: 'Login',
    component: Login
  },
  {
    path: '/home',
    name: 'Home',
    component: Home,
    children:[
      {
        path: '/paybind',
        name: 'PayBind',
        component:  ()=>import('@/views/pay-bind/index.vue')
      },
      {
        path: '/payconfig',
        name: 'PayConfig',
        component:  ()=>import('@/views/pay-config/index.vue')
      },{
        path: '/b',
        name: 'B',
        component:  ()=>import('@/views/B/index.vue')
      }
    ]
  },
  {
    path: '/404',
    name: '404',
    component: Error
  }
]
const router = createRouter({
  history: createWebHistory(),
  routes
})
router.beforeEach((to,from,next)=>{
  console.log(to,from,next,'to,from,next');
  next()
})
export default router
